¿Qué navegador debo utilizar para trabajar con Moodle?

NavegadorVersión mínimaVersión recomendadaNotas
Google Chrome 30.0 Última
Mozilla Firefox 25.0 Última
Apple Safari 6 Última
Microsoft Internet Explorer 9 Última Es necesaria, al menos, la versión 10 si se quiere utilizar la funcionalidad “drag-and-drop” para subir ficheros desde fuera del navegador a Moodle.